#ifndef WIMESH_PARSERS
#define WIMESH_PARSERS

#include <libxml++/libxml++.h>
#include "wimesh-ns3.h"





class WiMeshNs3Parser : public xmlpp::SaxParser
{
public:
  WiMeshNs3Parser ();
  virtual ~WiMeshNs3Parser();

  WiMeshNs3* GetNs3Ptr () { return ns3; }


protected:
  WiMeshNs3* ns3;
  
  //overrides:
  virtual void on_start_document();
  virtual void on_end_document();
  virtual void on_start_element(const Glib::ustring& name,
                                const AttributeList& properties);
  virtual void on_end_element(const Glib::ustring& name);
  virtual void on_characters(const Glib::ustring& characters);
  virtual void on_comment(const Glib::ustring& text);
  virtual void on_warning(const Glib::ustring& text);
  virtual void on_error(const Glib::ustring& text);
  virtual void on_fatal_error(const Glib::ustring& text);
  
};


#endif //WIMESH_PARSERS
