/*
 * Simple program to read topologies from files
 */

#include "WMtypes.h"
#include <cstring>

int main(int argc, char** argv)
{
  if (argc < 2)
  {
    cout << "Usage: " << argv[0] << " topology_filename [oct]" << endl << endl;
    return 0;
  }
  
  Topology* T = new Topology;
  
  T->DeserializeFrom (argv[1]);
  
  printCAStats (T, argv[1], true);

  if (!(T->checkE2Eflows(NULL)))
    cerr << endl << "WARNING: readTopo: Checking E2E flows FAILED" << endl << endl;

  if (argc >= 3 && !strcmp(argv[2],"oct"))
    T->drawTopology();
}
